﻿Imports System
Imports System.IO
Imports Infragistics.Web.UI.EditorControls

Partial Public Class TestUpload
    Inherits System.Web.UI.Page

    Private i As Integer = 0

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        With WebUpload1
            .ProgressUrl = Me.ResolveUrl("~/IGUploadStatusHandler.ashx")
            .UploadUrl = Me.ResolveUrl("~/Upload/")
            .AutoStartUpload = False
            .FileSizeMetric = SizeMetric.KBytes
            .Mode = FileUploadMode.Multiple
            .MaxSimultaneousFilesUploads = 2
            .MaxUploadedFiles = 5
            .ShowFileExtensionIcon = True
        End With
    End Sub

    Protected Sub webUpload1_OnUploadFinishing(sender As Object, e As UploadFinishingEventArgs) ' Handles WebUpload1.UploadFinishing
        i += 1
        Dim filePath As String = [String].Format("{0}{1}", e.FolderPath, e.TemporaryFileName)
        If File.Exists(filePath) Then
            Try
                File.Delete(filePath)
            Catch ex As Exception
            End Try
        End If
    End Sub

    Protected Sub webUpload1_OnInit(sender As Object, e As EventArgs) Handles WebUpload1.Init
        i += 1
    End Sub

    Protected Sub webUpload1_OnLoad(sender As Object, e As EventArgs) Handles WebUpload1.Load
        i += 1
    End Sub

    Protected Sub webUpload1_OnPreRender(sender As Object, e As EventArgs) Handles WebUpload1.PreRender
        i += 1
    End Sub

    Protected Sub webUpload1_OnUnLoad(sender As Object, e As EventArgs) Handles WebUpload1.Unload
        i += 1
    End Sub

    Protected Sub webUpload1_OnUploadFinished(sender As Object, e As EventArgs) Handles WebUpload1.UploadFinished
        i += 1
    End Sub

    Protected Sub webUpload1_OnUploadStarting(sender As Object, e As EventArgs) Handles WebUpload1.UploadStarting
        i += 1
    End Sub
End Class